// creator  : weidu.exe (version 23100)
// argument : PROPHET4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PROPHET4~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #4 /* Triggers after states #: 3 5 6 7 even though they appear after this state */
~RandomNum(3,1)
!Dead("UnseeingEye")~ THEN BEGIN 0 // from:
  SAY #20801 /* ~Seek ye out the true sight and put out your eyes in the name of the Unseeing Eye!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 3 5 6 7 even though they appear after this state */
~RandomNum(3,2)
!Dead("UnseeingEye")~ THEN BEGIN 1 // from:
  SAY #20802 /* ~Pluck out your vile eyes or be thrown into the Pit!  You are the faithless before His might!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 3 5 6 7 even though they appear after this state */
~RandomNum(3,3)
!Dead("UnseeingEye")~ THEN BEGIN 2 // from:
  SAY #20803 /* ~The Unseeing Eye is the true one, the one who shall lead us all into the divine!  Come, all, and bow before Him!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Anomen")
!Dead("UnseeingEye")
InParty("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
RandomNum(2,1)
Global("Prophet4Anomen","GLOBAL",0)
~ THEN BEGIN 3 // from:
  SAY #20804 /* ~Tremble before the might of the Unseeing Eye!  He is greater than all your false gods!~ */
  IF ~~ THEN DO ~SetGlobal("Prophet4Anomen","GLOBAL",1)
~ EXTERN ~ANOMENJ~ 117
END

IF ~~ THEN BEGIN 4 // from:
  SAY #20806 /* ~It is no blasphemy!  It is the truth!  Put out your unholy eyes as I have!!  Come!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~See("Cernd")
!Dead("UnseeingEye")
InParty("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)
RandomNum(2,2)
Global("Prophet4Cernd","GLOBAL",0)
~ THEN BEGIN 5 // from:
  SAY #20807 /* ~Come!  Join in the worship of the Unseeing Eye!  Put out your eyes and witness the holiest of sights!~ */
  IF ~~ THEN DO ~SetGlobal("Prophet4Cernd","GLOBAL",1)
~ EXTERN ~CERNDJ~ 74
END

IF WEIGHT #2 ~See("Aerie")
!Dead("UnseeingEye")
InParty("Aerie")
!StateCheck("Aerie",STATE_SLEEPING)
RandomNum(2,1)
Global("Prophet4Aerie","GLOBAL",0)
~ THEN BEGIN 6 // from:
  SAY #20810 /* ~You!  You are one of the faithless!~ */
  IF ~~ THEN DO ~SetGlobal("Prophet4Aerie","GLOBAL",1)
~ EXTERN ~AERIEJ~ 20
END

IF WEIGHT #3 ~See("Jaheira")
!Dead("UnseeingEye")
InParty("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,2)
Global("Prophet4Jaheira","GLOBAL",0)
~ THEN BEGIN 7 // from:
  SAY #20812 /* ~Come and witness the glory that is the Unseeing Eye!  Put out your eyes and swim in the rapture of holy blindness!~ */
  IF ~~ THEN DO ~SetGlobal("Prophet4Jaheira","GLOBAL",1)
~ EXTERN ~JAHEIRAJ~ 213
END
